---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_GetAttributeMethod;'
    name:      GA - Get Attribute Method
    index:     12
    customTagName: getAttributeMethod
    defaultTask: '&IDI_Task_ViewGetAttributeMethod;'
    instancesLabeledByRAMB: '&IDMB_Method__get__Fully_Qualified_Name_GA;'
    superclasses:
    - instance: '&IDC_Method;'
    - instance: '&IDC_ExecutableReturningAttribute;'
    relatedTasks:
    - instance: '&IDI_Task_ViewGetAttributeMethod;'
    - instance: '&IDI_Task_EditGetAttributeMethod;'
    attributes:
    - instance: '&IDA_Verb;'
      customTagName: 'verb'
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Static;'
      customTagName: 'static'
    - instance: '&IDA_Final;'
      customTagName: 'final'
    relationships:
    - instance: '&IDR_Method__for__Class;'
      customTagName: 'forClassId'
    - instance: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
      customTagName: 'accessModifierId'
    - instance: '&IDR_Get_Attribute_Method__returns__Attribute;'
      customTagName: 'returnsAttributeId'
    - instance: '&IDR_Instance__for__Module;'
      customTagName: 'moduleId'

  - relationship: '&IDR_Get_Attribute_Method__returns__Attribute;'
    index: 21
    sourceClassId: '&IDC_GetAttributeMethod;'
    type: 'returns'
    destinationClassId: '&IDC_Attribute;'
    siblingRelationshipId: '&IDR_Attribute__returned_by__Get_Attribute_Method;'
    singular: no

  - relationship: '&IDR_Attribute__returned_by__Get_Attribute_Method;'
    index: 22
    sourceClassId: '&IDC_Attribute;'
    type: 'returned by'
    destinationClassId: '&IDC_GetAttributeMethod;'
    siblingRelationshipId: '&IDR_Get_Attribute_Method__returns__Attribute;'
    singular: no
